<?php
session_start();
//check to see if user has logged in with a valid password
if ($_SESSION['authuser'] != 1 ) 
{
  echo "Sorry, but you don't have permission to view this page !";
  exit();
}
require('db_link.php');
require_once 'ourfuncs.php';
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"> 
<head>
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
 <title>MAIMUN SUPPLIES | Employee Batch Details </title>
 
 <script type="text/javascript" src="media/js/jquery.tools.min.js"></script>
 <script type="text/javascript" src="media/js/jquery-ui.min.js"></script>
 
<!--[if !IE]>--> <link rel="stylesheet" type="text/css" href="css/main.css" /> <!--<![endif]-->
 <link rel="stylesheet" type="text/css" href="css/jquery-ui.css" />


<style type="text/css">
html, body {margin:0px; padding:0; height:100%; width:100%; min-width:100%; min-height:100%;}
#btnholder{margin-left:3cm;}

.submitbutton{
width: 140px;
padding: 3px 2px 3px 2px;
text-align: center;
text-decoration:none;
  border: 1px solid #e5ebf2;
  color: #000;
  text-shadow: 0 1px rgba(0,0,0,0.1);
  background-color: #a5b4d3;
  background-image: -webkit-gradient(linear,left top,left bottom,from(#a5b4d3),to(#a5b4d3));
}



</style>
 
</head>
<body>

<!-- Main Body starts here -->
<?php 
 
list($day, $month, $year) = explode('-', mysqli_real_escape_string($conn, $_GET['sdate'])); 
$sdate = implode("-", array($year, $month, $day));
list($day, $month, $year) = explode('-', mysqli_real_escape_string($conn, $_GET['edate'])); 
$edate = implode("-", array($year, $month, $day));

echo '<p align = "center">';
echo '<b align="center"><i><font size="5">Maimun Supplies</font></i></b><br />';
echo '<p align = "left"><font size="4">Batch Details From: &nbsp;'. $_GET['sdate'].'&nbsp; To:&nbsp;'.$_GET['edate'].'</font></p><br />';
$ps = $_GET['ps'];
$btot = 0;	$gtot = 0;
echo '<table cellpadding=5 cellspacing=6 align="center">';
echo '<thead>
  <tr class = "recphead">
    <th  class="center"> Date </th>
    <th  class="left"> Batch No. </th>
	<th  class="left"> Batch SKU </th>
    <th  class="center"> Store </th>
	<th  class="center"> PS / Job </th>
	<th align="center"> Lot No. </th>
    <th align="center"> Material </th>
	<th align="center"> UOM </th>
	<th align="center">Qty </th>
	<th align="center">Packing Type </th>
	<th align="center">Packed SKU </th>
    <th align="center"> Output Qty</th>
  </tr>
	</thead>'; 
if($ps !== ''){ $cqry="SELECT *, ps1 as ps, po1 as po FROM rmouts, emprates WHERE rmouts.ps1 = '$ps' AND emprates.ename = '$ps' AND emprates.packop = rmouts.po1 AND rmouts.idate>='$sdate' AND rmouts.idate<='$edate'
				UNION SELECT *, ps2 as ps, po2 as po FROM rmouts, emprates WHERE rmouts.ps2 = '$ps' AND emprates.ename = '$ps' AND emprates.packop = rmouts.po2 AND rmouts.idate>='$sdate' AND rmouts.idate<='$edate' 
				UNION SELECT *, ps3 as ps, po3 as po FROM rmouts, emprates WHERE rmouts.ps3= '$ps' AND emprates.ename = '$ps' AND emprates.packop = rmouts.po3 AND rmouts.idate>='$sdate' AND rmouts.idate<='$edate'
				UNION SELECT *, ps4 as ps, po4 as po FROM rmouts, emprates WHERE rmouts.ps4 = '$ps' AND emprates.ename = '$ps' AND emprates.packop = rmouts.po4 AND rmouts.idate>='$sdate' AND rmouts.idate<='$edate' ORDER BY ename, ptype, idate";
              $qt = mysqli_query($conn, $cqry) or die (mysqli_error($conn));
				echo '<tr><td colspan="10"><hr></td></tr>';
				echo '<tr><td colspan="10"><h3>Employee : '.$_GET['ps'].'&nbsp; Batches</h3></td></tr>';
				echo '<tr><td colspan="10"><hr></td></tr>';
			   $etot = 0; 	$etyp = "";		$ptot = 0;   $enam = "";
				while ($row = mysqli_fetch_assoc($qt)) 
				{
					if( (($etyp !== $row['ptype']) && ($etyp !== '')) ||  (($enam !== $row['ename']) && ($enam !== '')) ){  
						echo '<tr><td colspan="12"><hr></td></tr>';
						echo'<td colspan="8" align="right">Total</td> <td align="right">'.number_format($ptot,2).'</td> <td></td> <td></td> <td align="right">'.number_format($etot,2).'</td>';
						echo '<tr><td colspan="12"><hr></td></tr>';
						$ptot = 0; 	$etot = 0;
					}
					echo '<tr>';
					list($year, $month, $day) = explode('-', mysqli_real_escape_string($conn, $row['idate'])); 
					$bdt = implode("-", array($day, $month, $year));
					echo'<td align="center">'.$bdt.'</td>';
					echo'<td align="center">'.$row['rono'].'</td>';
					echo'<td align="center">'.$row['mbatno'].'</td>';
					echo'<td align="center">'.$row['storeid'].'</td>';
					echo'<td align="left">'.$row['ps'].' - '.$row['po'].'</td>';
					echo'<td align="center">'.$row['brand'].'</td>';
					echo'<td align="left">'.$row['matname'].'</td>';
					echo'<td align="left">'.$row['um'].'</td>';
					echo'<td align="center">'.number_format($row['qty'],2).'</td>';
					echo'<td align="center">'.$row['ptype'].'</td>';
					echo'<td align="center">'.$row['fpsku'].'</td>';
					echo'<td align="right">'.number_format($row['pkqty'],2).'</td>';
					//echo'<td align="center">'.$row['rmrate'].'</td>';
					//echo'<td align="right">'.number_format(floatval($row['rmrate'])*floatval($row['qty']),2).'</td>';
					$etot += floatval($row['pkqty']);	$ptot += floatval($row['qty']);
					$etyp = $row['ptype'];	$enam = $row['ename'];
					echo '</tr>';
					}  	
				echo '<tr><td colspan="12"><hr></td></tr>';
				echo'<td colspan="8" align="right">Total</td> <td align="right">'.number_format($ptot,2).'</td> <td></td> <td></td> <td align="right">'.number_format($etot,2).'</td>';
				echo '<tr><td colspan="12"><hr></td></tr>';
		}
else {  
				$btot = 0;	$gtot = 0;	$etot = 0; 	$etyp = "";		$ptot = 0;   $enam = "";
				$cqry = "SELECT *, ps1 as ps, po1 as po FROM rmouts, emprates WHERE (emprates.ename = rmouts.ps1) AND (emprates.packop = rmouts.po1) AND rmouts.idate>='$sdate' AND rmouts.idate<='$edate' 
					UNION SELECT *, ps2 as ps, po2 as po FROM rmouts, emprates WHERE (emprates.ename = rmouts.ps2) AND (emprates.packop = rmouts.po2) AND rmouts.idate>='$sdate' AND rmouts.idate<='$edate' 
					UNION SELECT *, ps3 as ps, po3 as po FROM rmouts, emprates WHERE (emprates.ename = rmouts.ps3) AND (emprates.packop = rmouts.po3) AND rmouts.idate>='$sdate' AND rmouts.idate<='$edate'
					UNION SELECT *, ps4 as ps, po4 as po FROM rmouts, emprates WHERE (emprates.ename = rmouts.ps4) AND (emprates.packop = rmouts.po4) AND rmouts.idate>='$sdate' AND rmouts.idate<='$edate' ORDER BY ename, ptype, idate";
				$qt = mysqli_query($conn, $cqry) or die (mysqli_error($conn));
				echo '<tr><td colspan="12"><hr></td></tr>';
				echo '<tr><td colspan="12"><h3> Batches</h3></td></tr>';
				echo '<tr><td colspan="12"><hr></td></tr>';
				while ($row = mysqli_fetch_assoc($qt)) 
				{
					if( (($etyp !== $row['ptype']) && ($etyp !== '')) ||  (($enam !== $row['ename']) && ($enam !== '')) ){  
						echo '<tr><td colspan="12"><hr></td></tr>';
						echo'<td colspan="8" align="right">Total</td> <td align="right">'.number_format($ptot,2).'</td> <td></td> <td></td> <td align="right">'.number_format($etot,2).'</td>';
						echo '<tr><td colspan="12"><hr></td></tr>';
						$ptot = 0; 	$etot = 0;
					}
					echo '<tr>';
					list($year, $month, $day) = explode('-', mysqli_real_escape_string($conn, $row['idate'])); 
					$bdt = implode("-", array($day, $month, $year));
					echo'<td align="center">'.$bdt.'</td>';
					echo'<td align="center">'.$row['rono'].'</td>';
					echo'<td align="center">'.$row['mbatno'].'</td>';
					echo'<td align="center">'.$row['storeid'].'</td>';
					echo'<td align="left">'.$row['ps'].' - '.$row['po'].'</td>';
					echo'<td align="center">'.$row['brand'].'</td>';
					echo'<td align="left">'.$row['matname'].'</td>';
					echo'<td align="left">'.$row['um'].'</td>';
					echo'<td align="center">'.number_format($row['qty'],2).'</td>';
					echo'<td align="center">'.$row['ptype'].'</td>';
					echo'<td align="center">'.$row['fpsku'].'</td>';
					echo'<td align="right">'.number_format($row['pkqty'],2).'</td>';
				//	echo'<td align="center">'.$row['rmrate'].'</td>';
				//	echo'<td align="right">'.number_format(floatval($row['rmrate'])*floatval($row['qty']),2).'</td>';
					$btot += floatval($row['rmrate'])*floatval($row['qty']);	$gtot += floatval($row['rmrate'])*floatval($row['qty']);
					echo '</tr>';
					$etot += floatval($row['pkqty']);	$ptot += floatval($row['qty']);
					$etyp = $row['ptype'];	$enam = $row['ename'];
					}  	
				echo '<tr><td colspan="12"><hr></td></tr>';
				echo'<td colspan="8" align="right">Total</td> <td align="right">'.number_format($ptot,2).'</td> <td></td> <td></td> <td align="right">'.number_format($etot,2).'</td>';
				echo '<tr><td colspan="12"><hr></td></tr>';
			//	echo'<tr><td align="right">Grand Total</td> <td colspan="8" align="right">'.number_format($gtot,2).'</td></tr>';
		}	 
echo '</table>';   

echo '<center><form><table>';
echo '<div id="btnholder">
		<td> <input type="button" onclick="window.close();" class="submitbutton" value="Cancel"/></td>
		</div>
	</table></form> </center>';
	
?>


<!-- Main Body ends here -->

</body>

</html>