<?php
session_start();
//check to see if user has logged in with a valid password
if ($_SESSION['authuser'] != 1 ) 
{
  echo "Sorry, but you don't have permission to view this page !";
  exit();
}
require('db_link.php');
require_once 'ourfuncs.php';
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"> 
<head>
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
 <title>MAIMUN SUPPLIES | Batch Details </title>
 



<style type="text/css">
html, body {margin:0px; padding:0; height:100%; width:100%; min-width:100%; min-height:100%;}
#btnholder{margin-left:3cm;}
#batchshow { background:#fff url('img/batchdet.png') no-repeat center center;
	width:80px;
	height:80px;
}
.submitbutton{
width: 140px;
padding: 3px 2px 3px 2px;
text-align: center;
text-decoration:none;
  border: 1px solid #e5ebf2;
  color: #000;
  text-shadow: 0 1px rgba(0,0,0,0.1);
  background-color: #a5b4d3;
  background-image: -webkit-gradient(linear,left top,left bottom,from(#a5b4d3),to(#a5b4d3));
}



</style>
 
<script type="text/javascript">
$(document).ready(function() {
	
$( '.datepicker' ).datepicker({ minDate: null, maxDate: null, dateFormat: 'dd-mm-yy' }); 	
});
</script>

</head>
<body>

<!-- Main Body starts here -->
<?php 
 
list($day, $month, $year) = explode('-', mysqli_real_escape_string($conn, $_GET['sdate'])); 
$sdate = implode("-", array($year, $month, $day));
list($day, $month, $year) = explode('-', mysqli_real_escape_string($conn, $_GET['edate'])); 
$edate = implode("-", array($year, $month, $day));

echo '<p align = "center">';
echo '<b align="center"><i><font size="5">Maimun Supplies</font></i></b><br />';
echo '<p align = "left"><font size="4">Batch Details From: &nbsp;'. $_GET['sdate'].'&nbsp; To:&nbsp;'.$_GET['edate'].'</font></p><br />';
$recpno = $_GET['recpno'];
if($recpno !=''){ $cqry="SELECT * FROM batches WHERE bdate>='$sdate' AND bdate<='$edate' AND recpno ='$recpno' ORDER BY bdate";
				  $qt = mysqli_query($conn, $cqry) or die (mysqli_error($conn));
				  echo 'Receipe : '.$_GET['recpno'].'<br />';
				}
else {  $cqry="SELECT * FROM batches WHERE bdate>='$sdate' AND bdate<='$edate' ORDER BY bdate";
		$qt = mysqli_query($conn, $cqry) or die (mysqli_error($conn));
		}				
echo '</p>';
echo '<table cellpadding=5 cellspacing=6 align="center">';
echo '<thead>
  <tr class = "recphead">
    <th  class="left"> Batch No. </th>
    <th  class="center"> Store </th>
	<th  class="center"> Date </th>
    <th align="center"> Receipe Name </th>
	<th align="center"> Output Qty </th>
    <th align="center"> Output Measure </th>
	<th align="right"> Cost </th>
	<th align="right"> UBC </th>
  </tr>
	</thead>'; 
while ($row = mysqli_fetch_assoc($qt)) 
{
echo '<tr><td colspan=9><hr></td></tr>';
echo '<tr>';
echo'<td align="center">'.$row['rono'].'</td>';
echo'<td align="center">'.getstoreidbno($row['rono']).'</td>';
list($year, $month, $day) = explode('-', mysqli_real_escape_string($conn, $row['bdate'])); 
$bdt = implode("-", array($day, $month, $year));
echo'<td align="center">'.$bdt.'</td>';
echo'<td align="center">'.$row['matname'].'</td>';
echo'<td align="center">'.number_format($row['fqty'],2).'</td>';
echo'<td align="center">'.$row['um'].'</td>';
echo'<td align="right">'.number_format($row['bcost'],2).'</td>';
echo'<td align="right">'.number_format(floatval($row['bcost'])/floatval($row['fqty']),2).'</td>';
echo '</tr>';
echo '<tr><td colspan=9><hr></td></tr>';
	$query = "SELECT recpmat, qty, um, mcost, storeid FROM batchmats WHERE bno=".$row['bno'].";";
	$result = mysqli_query($conn, $query) or die(mysqli_error($conn));
	while ($mrow = mysqli_fetch_assoc($result)) 
	{
	echo '<tr>';    
	echo'<td align="center" colspan=4>.</td>';
	echo'<td align="center">'.$mrow['recpmat'].'</td>';
	echo'<td align="center">'.number_format($mrow['qty'],2).'</td>';
	echo'<td align="center">'.$mrow['um'].'</td>';
	echo'<td align="right">'.number_format($mrow['mcost'],2).'</td>';
	echo '<td></td>';
	echo '</tr>';
	}
}
echo '</table>';
echo '<center><form><table>';
echo '<div id="btnholder">
		<td> <input type="button" onclick="window.close();" class="submitbutton" value="Cancel"/></td>
		</div>
	</table></form> </center>';
	
?>


<!-- Main Body ends here -->

</body>

</html>