<?php
session_start();
//check to see if user has logged in with a valid password
if ($_SESSION['authuser'] != 1 ) 
{
  echo "Sorry, but you don't have permission to view this page !";
  exit();
}
require('db_link.php');
require_once 'ourfuncs.php';
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"> 
<head>
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
 <title>MAIMUN SUPPLIES | Batch Details </title>
 



<style type="text/css">
html, body {margin:0px; padding:0; height:100%; width:100%; min-width:100%; min-height:100%;}
#btnholder{margin-left:3cm;}
#batchshow { background:#fff url('img/batchdet.png') no-repeat center center;
	width:80px;
	height:80px;
}
.submitbutton{
width: 140px;
padding: 3px 2px 3px 2px;
text-align: center;
text-decoration:none;
  border: 1px solid #e5ebf2;
  color: #000;
  text-shadow: 0 1px rgba(0,0,0,0.1);
  background-color: #a5b4d3;
  background-image: -webkit-gradient(linear,left top,left bottom,from(#a5b4d3),to(#a5b4d3));
}
#btab td { border: 1px solid #000;
	 padding:6px;
}
th { padding:6px;
}

</style>
 

</head>
<body>

<!-- Main Body starts here -->
<?php 
 
$sd = $_GET['sd']; 
$ed = $_GET['ed']; 
$s=0;
$e=2000;	
$mtot = 0;		$ptot = 0;
echo '<p align="center" style="font-size:24pt:text-align:center;font-family:Calibri;">';
echo '<b><i>Maimun Supplies</i></b><br/></p>';

echo '<br>';
echo '<p style="font-size:12pt;font-family:Calibri;text-align:center;margin:20px;">Materials Batch Details From: &nbsp;'. $_GET['s'].'&nbsp; To:&nbsp;'.$_GET['e'].'</p><br />';
echo '<table id="btab" style="font-size:8pt;border-collapse:collapse;text-align:left;font-family:Calibri;margin:20px;">';
echo '<thead>
  <tr class = "recphead">
  <th  class="left"> Batch No. </th>
	<th  class="left"> Brand </th>
	<th  class="left"> SKU </th>
	<th  class="left"> Material </th>
	<th align="center"> Material Qty </th>
    <th  class="center"> Store </th>
	<th  class="center"> Date </th>
	<th align="center"> UOM </th>
    <th align="center"> Packed Qty </th>
	<th align="center"> Extra Qty </th>
	<th align="center"> Packing Type</th>
	<th align="center"> Destination </th>
	<th align="center"> PS1 / Job </th>
	<th align="center"> PS2 / Job </th>
	<th align="center"> PS3 / Job </th>
	<th align="center"> PS4 / Job </th>
	<th align="center"> Work Start </th>
	<th align="center"> Work End </th>
	<th align="center"> Packing Materials </th>
  </tr>
	</thead>'; 
if(isset($_GET['s'])){	
    $qqq='SELECT * FROM rmouts WHERE rono BETWEEN '. $_GET['s'].' AND '. $_GET['e'].';';
}
else{
    list($day, $month, $year) = explode('-', $_GET['sd']); 
    $sd= implode("-", array($year, $month, $day));
    list($day, $month, $year) = explode('-', $_GET['ed']); 
    $ed= implode("-", array($year, $month, $day));
    $qqq='SELECT * FROM rmouts WHERE idate BETWEEN "'.$sd.'" AND "'. $ed.'";';
}
$qt = mysqli_query($conn, $qqq) or die(mysqli_error($conn));	
while ($row = mysqli_fetch_assoc($qt)) 
{

echo '<tr>';
echo'<td align="center">'.$row['rono'].'</td>';		$rono = $row['rono'];
echo'<td align="center">'.$row['brand'].'</td>';
echo'<td align="center">'.$row['sku'].'</td>';
echo'<td align="center">'.$row['matname'].'</td>';
echo'<td align="right">'.number_format($row['qty'],2).'</td>';
$mtot = $mtot + floatval($row['qty']);
echo'<td align="center">'.$row['storeid'].'</td>';
list($year, $month, $day) = explode('-', mysqli_real_escape_string($conn, $row['idate'])); 
$bdt = implode("-", array($day, $month, $year));
echo'<td align="center">'.$bdt.'</td>';
echo'<td align="center">'.$row['um'].'</td>';		
echo'<td align="right">'.number_format($row['pkqty'],2).'</td>';
$ptot = $ptot + floatval($row['pkqty']);
echo'<td align="right">'.number_format($row['epqty'],2).'</td>';	
echo'<td align="center">'.$row['ptype'].'</td>';	
echo'<td align="center">'.$row['dest'].'</td>';	
echo'<td align="center">'.$row['ps1'].' - '.$row['po1'].'</td>';	
echo'<td align="center">'.$row['ps2'].' - '.$row['po2'].'</td>';	
echo'<td align="center">'.$row['ps3'].' - '.$row['po3'].'</td>';	
echo'<td align="center">'.$row['ps4'].' - '.$row['po4'].'</td>';
$wkst = substr($row['wkst'],8,2)."-".substr($row['wkst'],5,2)."-".substr($row['wkst'],0,4).substr($row['wkst'],10,6);
$wked = substr($row['wked'],8,2)."-".substr($row['wked'],5,2)."-".substr($row['wked'],0,4).substr($row['wked'],10,6);
echo'<td align="center">'.$wkst.'</td>';	
echo'<td align="center">'.$wked.'</td>';

$sqlp = "SELECT * FROM pmouts WHERE pmouts.rono = '$rono' ORDER BY pmouts.matname;";
			$resultp = mysqli_query($conn, $sqlp) or die(mysqli_error($conn)); 
			$pline = '';
			while ($rowp = mysqli_fetch_assoc($resultp)){
				$pline = $pline.'<tr><td style="border:1px solid white;">'.$rowp['matname'].'</td><td style="border:1px solid white;">'.number_format($rowp['qty'],2).'</td></tr>';	
			}	
echo'<td align="left"><table style="border:border-collapse 1px solid white;">'.$pline.'</table></td>';
echo '</tr>';	
}
echo'<tr><td colspan="4"></td><td align="right">'.number_format($mtot,2).'</td>  <td colspan="3"></td> <td align="right">'.number_format($ptot,2).'</td> <td colspan="10"></td></tr>';	
echo '</table>';
echo '<center><form><table>';
echo '<div id="btnholder">
		 <input type="button" onclick="window.close();" class="submitbutton" value="Close"/><br><br>
		</div>
	</table></form> </center>';
	
?>


<!-- Main Body ends here -->

</body>

</html>