<?php
session_start();
//check to see if user has logged in with a valid password
if ($_SESSION['authuser'] != 1 ) 
{
  echo "Sorry, but you don't have permission to view this page !";
  exit();
}
require('db_link.php');
include "stocksmenu.php";
require_once 'ourfuncs.php';
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"> 
<head>
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
 <title>MAIMUN SUPPLIES | Packing Entries </title>
 <script type="text/javascript" src="media/js/jquery.js"></script> 
 <script type="text/javascript" src="media/js/jquery-ui.js"></script> 
 <script type="text/javascript" src="media/js/jquery.tools.min.js"></script>
 <script type="text/javascript" src="media/js/jquery.PrintArea.js"></script>
<!--[if !IE]>--> <link rel="stylesheet" type="text/css" href="css/main.css" /> <!--<![endif]-->
 <link rel="stylesheet" type="text/css" href="css/jquery-ui.css" />
 
<style type="text/css">
#btnholder{margin-left:3cm;}
.aright {text-align: right;}
#rtable {font-size: 12px;}
#ptmenu {font-size: 16px; margin:40px; padding:20px; border: 2px solid #d9d9d9; font-weight:bold;}
.submitbutton{
width: 140px;
padding: 3px 2px 3px 2px;
text-align: center;
text-decoration:none;
  border: 1px solid #e5ebf2;
  color: #000;
  text-shadow: 0 1px rgba(0,0,0,0.1);
  background-color: #a5b4d3;
  background-image: -webkit-gradient(linear,left top,left bottom,from(#a5b4d3),to(#a5b4d3));
}

.styled-select select {
   background: #fff;
   padding: 3px;
   font-size: 14px;
   border: 1px solid #d9d9d9;
   height: 27px;
   -webkit-appearance: none;
}

  input, select
  {
  display: inline-block;
  height: 26px;
  margin: 0;
  padding: 0 8px;
  background: #fff;
  border: 1px solid #d9d9d9;
  border-top: 1px solid #c0c0c0;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  
  -webkit-border-radius: 1px;
  -moz-border-radius: 1px;
  border-radius: 1px;
  
   -moz-box-shadow:0 1px 2px #ddd;
   -webkit-box-shadow:0 1px 2px #ddd;
   box-shadow:0 1px 2px #ddd;
  }
 .activatelink
{
font-weight:bold;
padding: 2px 4px;
background-color: #FFFFFF;
color:blue;
text-decoration:none;
text-transform:none;
}

</style>
<script type="text/javascript">
$(document).ready(function() {
$("#ptpm").hide();
$("#ptcost").hide();
$("#empr").hide();
$("#mmach").hide();

   
});
 $( "#dialog-message" ).dialog({
			modal: true,
			width: 470,
			buttons: {
				Ok: function() {
					window.location.replace("pmstocks.php");
				}
			}
		});

		
function setptform(){
	$("#ptpm").show();
	$("#ptcost").hide();
	$("#ptmenu").hide();
	$("#empr").hide();
	$("#mmach").hide();
};
function setptcform(){
	$("#ptpm").hide();
	$("#ptcost").show();
	$("#ptmenu").hide();
	$("#empr").hide();
	$("#mmach").hide();
};
function setempform(){
	$("#ptpm").hide();
	$("#ptcost").hide();
	$("#ptmenu").hide();
	$("#empr").show();
	$("#mmach").hide();
};
function setmachform(){
	$("#ptpm").hide();
	$("#ptcost").hide();
	$("#ptmenu").hide();
	$("#empr").hide();
	$("#mmach").show();
};
</script>

<script type="text/javascript">
function getpmrow() { 
var r = parseInt(document.getElementById("pcnt").value)+1;  
document.getElementById("pcnt").value = r;    
$('#trow').after('<tr><td align="center"><input type="text" id="ptype'+r+'" name="ptype'+r+'" value="" size="10"/></td>'
                        +'<td align="center"><select id="pid'+r+'" name="pid'+r+'" style="width:400px"><?php echo selpmmats($conn);?></select></td>'
						+'<td align="center"><input type="text" id="pfact'+r+'" name="pfact'+r+'" value="1" size="5"/></td><tr>');						
};

function getpmcostrow() { 
var r = parseInt(document.getElementById("cpcnt").value)+1;
document.getElementById("cpcnt").value = r;      
$('#crow').after('<tr><td align="center"><input type="text" id="ptype'+r+'" name="ptype'+r+'" value="" size="10"/></td>'
                  +'<td align="center"><input type="text" id="perkg'+r+'" name="perkg'+r+'" value="" size="10"/></td>'
				  +'<td align="center"><input type="text" id="pmlab'+r+'" name="pmlab'+r+'" value="" size="10"/></td>'
				  +'<td align="center"><input type="text" id="pmmbc'+r+'" name="pmmbc'+r+'" value="" size="10"/></td>'
				  +'<td align="center"><input type="text" id="pmoth'+r+'" name="pmoth'+r+'" value="" size="10"/></td><tr>');
						
};

function getemprow() { 
var r = parseInt(document.getElementById("ecnt").value)+1;
document.getElementById("ecnt").value = r;      
$('#erow').after('<tr><td align="center"><input type="text" id="ename'+r+'" name="ename'+r+'" value="" size="15"/></td>'
                  +'<td align="center"><input type="text" id="brate'+r+'" name="brate'+r+'" value="" size="10"/></td>'
				  +'<td align="center"><input type="text" id="rmrate'+r+'" name="rmrate'+r+'" value="" size="10"/></td>'
				  +'<td align="center"><input type="text" id="fprate'+r+'" name="fprate'+r+'" value="" size="10"/></td><tr>');
						
};

function prsprint() {	
		$("#Printprs").printArea();	
	
}; 

function getmachrow() { 
var r = parseInt(document.getElementById("mccnt").value)+1;
document.getElementById("mccnt").value = r;      
$('#mcrow').after('<tr><td align="center"><input type="text" id="machine'+r+'" name="machine'+r+'" value="" size="15"/></td>'
                  +'<td align="center"><input type="text" id="mrate'+r+'" name="mrate'+r+'" value="" size="5"/></td><tr>');
						
};
</script>
</head>
<body> 

<?php
if (isset($_POST['updpmmap']))							// from pmmap after doing save 
{
 $update_query ="DELETE FROM pmmap;";	
 $res = mysqli_query($conn, $update_query);
 $pcnt = $_POST['pcnt'];
 for($j=1; $j<=intval($pcnt); $j++){ 
	if($_POST['ptype'.$j] !== '') { 
		$ptype = mysqli_real_escape_string($conn, $_POST['ptype'.$j]);
		$pid = mysqli_real_escape_string($conn, $_POST['pid'.$j]);
		$pfact = mysqli_real_escape_string($conn, $_POST['pfact'.$j]);
		$matname = getpmatname($conn, $pid);
		$update_query ="INSERT INTO pmmap (ptype, matname, pid, pfact) VALUES ( '$ptype', '$matname', '$pid', '$pfact');";	
		$res = mysqli_query($conn, $update_query);
	  }			  
 }
 echo '<div id="dialog-message" title="Update Confirmation !">
    <p><span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;"></span>
    Packing Types and Materials Saved!</p></div>';
mysqli_close($conn);
}
else if (isset($_POST['updpmcost']))							// from costs after doing save 
{
 $update_query ="DELETE FROM packcost;";	
 $res = mysqli_query($conn, $update_query);
 $pcnt = $_POST['cpcnt'];
 for($j=1; $j<=intval($pcnt); $j++){ 
	if($_POST['ptype'.$j] !== '') { 
		$ptype = mysqli_real_escape_string($conn, $_POST['ptype'.$j]);
		$pmlab = mysqli_real_escape_string($conn, $_POST['pmlab'.$j]);
		$pmmbc = mysqli_real_escape_string($conn, $_POST['pmmbc'.$j]);
		$pmoth = mysqli_real_escape_string($conn, $_POST['pmoth'.$j]);
		$perkg = mysqli_real_escape_string($conn, $_POST['perkg'.$j]);
		$update_query ="INSERT INTO packcost (ptype, pmlab, pmmbc, pmoth, perkg) VALUES ( '$ptype', '$pmlab', '$pmmbc', '$pmoth', '$perkg');";	
		$res = mysqli_query($conn, $update_query);
	  }			  
 }
 echo '<div id="dialog-message" title="Update Confirmation !">
    <p><span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;"></span>
    Packing Types and Costs Updated!</p></div>';
mysqli_close($conn);
}
else if (isset($_POST['updemp']))							// from empr after doing save 
{
 $update_query ="DELETE FROM emprates;";	
 $res = mysqli_query($conn, $update_query);
 $pcnt = $_POST['ecnt'];
 for($j=1; $j<=intval($pcnt); $j++){ 
	if($_POST['ename'.$j] !== '') { 
		$ename = mysqli_real_escape_string($conn, $_POST['ename'.$j]);
		$brate = mysqli_real_escape_string($conn, $_POST['brate'.$j]);
		$rmrate = mysqli_real_escape_string($conn, $_POST['rmrate'.$j]);
		$fprate = mysqli_real_escape_string($conn, $_POST['fprate'.$j]);
		$update_query ="INSERT INTO emprates (ename, brate, rmrate, fprate) VALUES ( '$ename', '$brate', '$rmrate', '$fprate');";	
		$res = mysqli_query($conn, $update_query);
	  }			  
 }
 echo '<div id="dialog-message" title="Update Confirmation !">
    <p><span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;"></span>
    Employees and Rates Updated!</p></div>';
mysqli_close($conn);
}
else if (isset($_POST['updmach']))							// from empr after doing save 
{
 $update_query ="DELETE FROM machines;";	
 $res = mysqli_query($conn, $update_query);
 $pcnt = $_POST['mccnt'];
 for($j=1; $j<=intval($pcnt); $j++){ 
	if($_POST['machine'.$j] !== '') { 
		$ename = mysqli_real_escape_string($conn, $_POST['machine'.$j]);
		$mrate = mysqli_real_escape_string($conn, $_POST['mrate'.$j]);
		$update_query ="INSERT INTO machines (machine, mrate) VALUES ( '$ename', '$mrate');";	
		$res = mysqli_query($conn, $update_query);
	  }			  
 }
 echo '<div id="dialog-message" title="Update Confirmation !">
    <p><span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;"></span>
    Machines Updated!</p></div>';
mysqli_close($conn);
}
else {
 echo '<center><div id="ptmenu">';
 echo '<img style="vertical-align:middle"  src="img/pmtyp.png" onclick="setptform();">&nbsp;&nbsp;</img> <label for="ptpm">Packing Type and its Packing Materials</label><br/><br/>';
 echo '<img style="vertical-align:middle"  src="img/pmcost.png" onclick="setptcform();">&nbsp;&nbsp;</img> <label for="ptpm">Packing Type and Costs</label><br/><br/>';
 echo '<img style="vertical-align:middle"  src="img/empr.png" onclick="setempform();">&nbsp;&nbsp;</img> <label for="empr">Employees and Rates</label><br/>';
 echo '<img style="vertical-align:middle"  src="img/mach.png" onclick="setmachform();">&nbsp;&nbsp;</img> <label for="mach">Machines and Rates</label><br/>';
 echo '</div></center>';
 
  echo '<div id="ptpm">';
	echo '<div id="breadcrumb">Packing Type and its Packing Materials</div>';   
	echo '<center><form id="add_mat" action="#" method="post"  onkeypress="return event.keyCode!=13" name="user_form"><br/>'; 	
	echo '<center><table cellspacing="10px" cellpadding="10px"><tr>
    <th>Type</th>   
    <th>Material</th>
	<th>Factor</th>
    </tr>';
	
	$query ="SELECT * FROM pmmap ORDER BY ptype, matname;";	
	$res = mysqli_query($conn, $query);
	$i=0;
	while ($row = mysqli_fetch_assoc($res)) {
		echo '<tr>';  $i++;
		echo'<td align="center"><input name="ptype'.$i.'" id="ptype'.$i.'" type="text" size="10" value="'.$row['ptype'].'" /></td>';
		echo'<td align="center"><select id="pid'.$i.'" name="pid'.$i.'" style="width:400px"> <option value="'.$row['pid'].'">'.$row['matname'].'</option>'.selpmmats($conn).'</select></td>';
		echo'<td align="center"><input name="pfact'.$i.'" id="pfact'.$i.'" type="text" size="5" value="'.$row['pfact'].'" /></td>';
		echo '</tr>'; 
		}
	echo '<input name="pcnt" id="pcnt" type="hidden" value="'.$i.'" />';
    echo '<tr id="trow"><br/></tr>'; 
	echo '<tr><td colspan="2" align="center"><input type="text" id="btnaddpm" name="btnaddpm" onclick="getpmrow();" class="text ui-widget-content ui-corner-all" value="Add New Packing" style="width:160px;font-weight:bold;" readonly="readonly"/></td> </tr>';
	echo '<tr><br/></tr>'; 
	echo '<tr>  
        <div id="btnholder">
		<td> <input class="submitbutton" name="updpmmap" type="submit" value="Save Types" readonly="readonly" /> </td>
        <td><a href="fpstocks.php" tyle="text-decoration:none;"> <input type="button" class="submitbutton" value="Cancel"/></a> </td>
        </div>
		</tr>';	
	echo '</table></center></form></div>';	

	
  echo '<div id="ptcost">';
	echo '<div id="breadcrumb">Packing Type and its Costs</div>';   
	echo '<center><form id="add_mat" action="#" method="post"  onkeypress="return event.keyCode!=13" name="user_form"><br/>'; 	
	echo '<center><table cellspacing="10px" cellpadding="10px"><tr>
    <th>Type</th>   
	<th>No. in KG/LTR</th>
    <th>Packing Labour</th>
	<th>Packing MBC</th>
	<th>Packing Other</th>
    </tr>';
	
	$query ="SELECT * FROM packcost ORDER BY ptype;";	
	$res = mysqli_query($conn, $query);
	$i=0;
	while ($row = mysqli_fetch_assoc($res)) {
		echo '<tr>';  $i++;
		echo'<td align="center"><input name="ptype'.$i.'" id="ptype'.$i.'" type="text" size="10" value="'.$row['ptype'].'" /></td>';
		echo'<td align="center"><input name="perkg'.$i.'" id="perkg'.$i.'" type="text" size="10" value="'.$row['perkg'].'" /></td>';
		echo'<td align="center"><input name="pmlab'.$i.'" id="pmlab'.$i.'" type="text" size="10" value="'.$row['pmlab'].'" /></td></td>';
		echo'<td align="center"><input name="pmmbc'.$i.'" id="pmmbc'.$i.'" type="text" size="10" value="'.$row['pmmbc'].'" /></td></td>';
		echo'<td align="center"><input name="pmoth'.$i.'" id="pmoth'.$i.'" type="text" size="10" value="'.$row['pmoth'].'" /></td></td>';
		echo '</tr>'; 
		}
	echo '<input name="cpcnt" id="cpcnt" type="hidden" value="'.$i.'" />';
    echo '<tr id="crow"><br/></tr>'; 
	echo '<tr><td colspan="2" align="center"><input type="text" id="btnaddpmcost" name="btnaddpmcost" onclick="getpmcostrow();" class="text ui-widget-content ui-corner-all" value="Add New Packing" style="width:160px;font-weight:bold;" readonly="readonly"/></td> </tr>';
	echo '<tr><br/></tr>'; 
	echo '<tr>  
        <div id="btnholder">
		<td> <input class="submitbutton" name="updpmcost" type="submit" value="Save Costs" readonly="readonly" /> </td>
        <td><a href="fpstocks.php" tyle="text-decoration:none;"> <input type="button" class="submitbutton" value="Cancel"/></a> </td>
        </div>
		</tr>';	
	echo '</table></center></form></div>';	
	
	echo '<div id="empr">';
	echo '<div id="breadcrumb">Employees and Rates</div>';   
	echo '<center><form id="add_mat" action="#" method="post"  onkeypress="return event.keyCode!=13" name="user_form"><br/>'; 	
	echo '<center><table cellspacing="10px" cellpadding="10px">
			<tr> <th>Name</th>   <th>Batch Rate</th>	<th>RM Rate</th>  <th>FP Rate</th> </tr>';
	
	$query ="SELECT * FROM emprates ORDER BY ename;";	
	$res = mysqli_query($conn, $query);
	$i=0;
	while ($row = mysqli_fetch_assoc($res)) {
		echo '<tr>';  $i++;
		echo'<td align="center"><input name="ename'.$i.'" id="ename'.$i.'" type="text" size="15" value="'.$row['ename'].'" /></td>';
		echo'<td align="center"><input name="brate'.$i.'" id="brate'.$i.'" type="text" size="5" value="'.$row['brate'].'" /></td>';
		echo'<td align="center"><input name="rmrate'.$i.'" id="rmrate'.$i.'" type="text" size="5" value="'.$row['rmrate'].'" /></td>';
		echo'<td align="center"><input name="fprate'.$i.'" id="fprate'.$i.'" type="text" size="5" value="'.$row['fprate'].'" /></td>';
		echo '</tr>'; 
		}
	echo '<input name="ecnt" id="ecnt" type="hidden" value="'.$i.'" />';
    echo '<tr id="erow"><br/></tr>'; 
	echo '<tr><td colspan="2" align="center"><input type="text" id="btnaddemp" name="btnaddemp" onclick="getemprow();" class="text ui-widget-content ui-corner-all" value="Add New Employee" style="width:160px;font-weight:bold;" readonly="readonly"/></td> </tr>';
	echo '<tr><br/></tr>'; 
	echo '<tr>  
        <div id="btnholder">
		<td> <input class="submitbutton" name="updemp" type="submit" value="Save" readonly="readonly" /> </td>
        <td><a href="packing.php" tyle="text-decoration:none;"> <input type="button" class="submitbutton" value="Cancel"/></a> </td>
        </div>
		</tr>';	
	echo '</table></center></form></div>';
	
	
	echo '<div id="mmach">';
	echo '<div id="breadcrumb">Machines and Rates</div>';   
	echo '<center><form id="add_mat" action="#" method="post"  onkeypress="return event.keyCode!=13" name="user_form"><br/>'; 	
	echo '<center><table cellspacing="10px" cellpadding="10px">
			<tr> <th>Machine</th>   <th>MBC</th>	</tr>';
	
	$query ="SELECT * FROM machines ORDER BY machine;";	
	$res = mysqli_query($conn, $query);
	$i=0;
	while ($row = mysqli_fetch_assoc($res)) {
		echo '<tr>';  $i++;
		echo'<td align="center"><input name="machine'.$i.'" id="machine'.$i.'" type="text" size="15" value="'.$row['machine'].'" /></td>';
		echo'<td align="center"><input name="mrate'.$i.'" id="mrate'.$i.'" type="text" size="5" value="'.$row['mrate'].'" /></td>';
		echo '</tr>'; 
		}
	echo '<input name="mccnt" id="mccnt" type="hidden" value="'.$i.'" />';
    echo '<tr id="mcrow"><br/></tr>'; 
	echo '<tr><td colspan="2" align="center"><input type="button" id="btnmach" name="btnmach" onclick="getmachrow();" class="text ui-widget-content ui-corner-all" value=" Add Machine " style="width:160px;font-weight:bold;" readonly="readonly"/></td> </tr>';
	echo '<tr><br/></tr>'; 
	echo '<tr>  
        <div id="btnholder">
		<td> <input class="submitbutton" name="updmach" type="submit" value="Save" readonly="readonly" /> </td>
        <td><a href="packing.php" tyle="text-decoration:none;"> <input type="button" class="submitbutton" value="Cancel"/></a> </td>
        </div>
		</tr>';	
	echo '</table></center></form></div>';
}


?> 

</body>

</html>

<script type="text/javascript">
   $("#add_user").validator({ 
	position: 'top left', 
	offset: [0, 160],
	message: '???' // em element is the arrow
    });


</script>