<?php
session_start();
//check to see if user has logged in with a valid password
if ($_SESSION['authuser'] != 1 ) 
{
  echo "Sorry, but you don't have permission to view this page !";
  exit();
}
require('db_link.php');
require('ourfuncs.php');
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"> 
<head>
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
 <title>MAIMUN SUPPLIES | PM Release Orders </title>
 
 <script type="text/javascript" src="js/jquery-3.3.1.js"></script>
 <script type="text/javascript" src="js/jquery-ui.js"></script>
 
<!--[if !IE]>--> <link rel="stylesheet" type="text/css" href="css/main.css" /> <!--<![endif]-->
<link rel="stylesheet" type="text/css" href="css/jquery-ui.css" />
<style type="text/css">
#btnholder{margin-left:3cm;}

.submitbutton{
width: 140px;
padding: 3px 2px 3px 2px;
text-align: center;
text-decoration:none;
  border: 1px solid #e5ebf2;
  color: #000;
  text-shadow: 0 1px rgba(0,0,0,0.1);
  background-color: #a5b4d3;
  background-image: -webkit-gradient(linear,left top,left bottom,from(#a5b4d3),to(#a5b4d3));
}

.styled-select select {
   background: #fff;
   padding: 3px;
   font-size: 14px;
   border: 1px solid #d9d9d9;
   height: 27px;
   -webkit-appearance: none;
}

  input  {
  display: inline-block;
  height: 26px;
  margin: 0;
  padding: 0 8px;
  background: #fff;
  border: 1px solid #d9d9d9;
  border-top: 1px solid #c0c0c0;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  
  -webkit-border-radius: 1px;
  -moz-border-radius: 1px;
  border-radius: 1px;
  
   -moz-box-shadow:0 1px 2px #ddd;
   -webkit-box-shadow:0 1px 2px #ddd;
   box-shadow:0 1px 2px #ddd;
  }
  
#mat_add{
height: 30px;
border:solid 1px #DEDEDE;
background-color:#7CFC00;
color:#222222;
padding:5px 0 2px 0;
text-align:center;
font-weight:300;
font-size: 14px;
}
</style>
 
<script type="text/javascript">
$(document).ready(function() {
	$("#matname").autocomplete({ source: <?php echo allrawmats($conn); ?>, minLength: 2 });
	$( '.datepicker' ).datepicker({ minDate: null, maxDate: null, dateFormat: 'dd-mm-yy' }); 
        $( "#dialog-message" ).dialog({
			modal: true,
			width: 470,
			buttons: {
				Ok: function() {
					window.location.replace("pmstocks.php");
				}
			}
		});   
});
	
</script>

</head>
<body>

<!-- Main Body starts here -->


<!-- processing the user_form data submitted-->
<?php 
if (isset($_POST['addnewpmo'])) {
$idate = mysqli_real_escape_string($conn, $_POST['idate']);
$rono = getnewdocno($conn, "rono");
$sqlidate = substr($idate,6,4)."-".substr($idate,3,2)."-".substr($idate,0,2);

for($i=1; $i<11; $i++){
  if ($_POST['rid'.$i] !== ""){ 
    $rid = mysqli_real_escape_string($conn, $_POST['rid'.$i]);
    $recpmat= getpmatname($conn, $rid);
    $iqty = mysqli_real_escape_string($conn, $_POST['iqty'.$i]);
	$um = mysqli_real_escape_string($conn, $_POST['um'.$i]);
    $invno = mysqli_real_escape_string($conn, $_POST['invno'.$i]);
    $dest = mysqli_real_escape_string($conn, $_POST['dest'.$i]);
	$st = mysqli_real_escape_string($conn, $_POST['st']);
    $ts = date("Y-m-d-H-i-s");
                                                        // Inserting data into pouts table
    $sql = "INSERT INTO pmouts (idate, rono, matname, pid, qty, um, dest, storeid, invno, ts) VALUES ('$sqlidate', '$rono', '$recpmat', '$rid', '$iqty', '$um', '$dest', '$st','$invno', '$ts')";
    $result = mysqli_query($conn, $sql) or die(mysqli_error($conn));
  }
}  

    echo '<div id="dialog-message" title="Update Confirmation !">
    <p><span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;"></span>
    New PM Release Order Saved!</p></div>';
}
                                                                // display form
elseif (isset($_POST['addnewro'])) {
 
  echo '<div id="breadcrumbpm">New PM Stock Release Order</div>';  
  echo '<form id="add_mat" action="#" method="post" name="user_form">
    <center><b><label for="idate">Stock Out Date</label></b> &nbsp;&nbsp;<input name="idate" id="idate" type="text" class="datepicker" size="10" required="required" title="Stock Out Date"/>
	&nbsp;&nbsp;<select name="st" id="st" required="required"><option></option>'.selstores($conn).'</select>
<table cellspacing="10px">
    <th>Material</th>
	<th>Measure</th> 
    <th>Quantity</th>
    <th>Destination</th>
    <th>Doc No.</th>'; 
for($i=1; $i<11; $i++){
 echo '<tr><td><select name="rid'.$i.'" id="rid'.$i.'" style="width:300px" onchange="getpmum('.$i.')"><option value="">---</option>'.selpmmats($conn).'</select></td>
 			<td><input name="um'.$i.'" id="um'.$i.'" type="text" size="10" /></td>
            <td><input name="iqty'.$i.'" id="iqty'.$i.'" type="text" size="10" /></td>
            <td><input name="dest'.$i.'" id="dest'.$i.'" type="text" size="15" /></td>
            <td><input name="invno'.$i.'" id="invno'.$i.'" type="text" size="10" /></td>
        </tr>';
    }
 
echo '<tr>  
        <div id="btnholder">
	<td> <input class="submitbutton" name="addnewpmo" type="submit" value="Add PM Release Order" /> </td>
        <td><a href="pmstocks.php" tyle="text-decoration:none;"> <input type="button" class="submitbutton" value="Cancel"/></a> </td>
        </div>
    </tr>';
echo '</table></center>
</form>'; 
}
                                                                // Save edited RO
elseif (isset($_POST['saveedentry'])) {
  $rono =  mysqli_real_escape_string($conn, $_POST['rono']);  
  echo '<div id="breadcrumbpm">Saving Edited RO No.'.$rono.' </div>'; 
  $idate = mysqli_real_escape_string($conn, $_POST['idate']);
  $sqlidate = substr($idate,6,4)."-".substr($idate,3,2)."-".substr($idate,0,2);
	                                                  // deleting old data from pmouts table
    $sql = "DELETE FROM pmouts WHERE rono = '$rono'";
    $result = mysqli_query($conn, $sql) or die(mysqli_error($conn));
    $ts = date("Y-m-d-H-i-s");
for($i=1; $i<11; $i++){
  if ($_POST['rid'.$i] !== ""){ 
		$rid = mysqli_real_escape_string($conn, $_POST['rid'.$i]);
		$matname = getpmatname($conn, $rid);
		$iqty = mysqli_real_escape_string($conn, $_POST['iqty'.$i]);
		$dest = mysqli_real_escape_string($conn, $_POST['dest'.$i]);
		$st = mysqli_real_escape_string($conn, $_POST['st']);
	    $um = mysqli_real_escape_string($conn, $_POST['um'.$i]);
		$invno = mysqli_real_escape_string($conn, $_POST['invno'.$i]);
		$sql = "INSERT INTO pmouts (rono, idate, matname, rid, qty, invno, dest, storeid, ts, um) VALUES ('$rono', '$sqlidate', '$matname', '$rid', '$iqty', '$invno', '$dest', '$st', '$ts', '$um')";
		$result = mysqli_query($conn, $sql) or die(mysqli_error($conn));
  }
}
  
  echo '<div id="dialog-message" title="Update Confirmation !">
    <p><span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;"></span>
    Edited RO No.'.$rono.' Saved!</p></div>';
}  
                                                                // display edit form
elseif (isset($_GET['g'])) {
  $rono = mysqli_real_escape_string($conn, $_GET['g']);
  echo '<div id="breadcrumbpm">Edit PM RO No.'.$rono.' </div>'; 
  $sql = "SELECT * FROM pmouts WHERE rono = '$rono';";			// get date first
  $result = mysqli_query($conn, $sql) or die(mysqli_error($conn));
  if($row = mysqli_fetch_assoc($result)) {
		list($year, $month, $day) = explode('-', mysqli_real_escape_string($conn, $row['idate'])); 
        $idate = implode("-", array($day, $month, $year));
  }
 echo '<form id="add_mat" action="pmorders.php" method="post" name="user_form">
    <center><b><label for="idate">Stock Out Date</label></b> &nbsp;&nbsp;<input name="idate" id="idate" type="text" class="datepicker" size="10" value='.$idate.' required="required" title="Stock Out Date"/>&nbsp;&nbsp;<select name="st" id="st" required="required"><option>'.$row['storeid'].'</option>'.selstores($conn).'</select><input name="rono" id="rono" type="hidden" value="'.$rono.'"/>
<table cellspacing="10px">
    <th>Material</th> 
	<th>Measure</th> 
    <th>Quantity</th>
    <th>Destination</th>
    <th>Doc No.</th>'; 
	$j=1;
$result = mysqli_query($conn, $sql) or die(mysqli_error($conn));	
while ($row = mysqli_fetch_assoc($result)) {	
	echo '<tr><td><select name="rid'.$j.'" id="rid'.$j.'" style="width:300px" onchange="getpmum('.$j.')"><option value="'.$row['rid'].'">'.$row['matname'].'</option>'.selpmmats($conn).'</select></td>
			<td><input name="um'.$j.'" id="um'.$j.'" type="text" value="'.$row['um'].'" size="10" /></td>
            <td><input name="iqty'.$j.'" id="iqty'.$j.'" type="text" value="'.$row['qty'].'" size="10" /></td>
            <td><input name="dest'.$j.'" id="dest'.$j.'" type="text" value="'.$row['dest'].'" size="15" /></td>
            <td><input name="invno'.$j.'" id="invno'.$j.'" type="text" value="'.$row['invno'].'" size="10" /></td>
        </tr>';
	$j++;	
}
for($i=$j; $i<11; $i++){
 echo '<tr><td><select name="rid'.$i.'" id="rid'.$i.'" style="width:300px" onchange="getpmum('.$i.')"><option value="">---</option>'.selpmmats($conn).'</select></td>
 			<td><input name="um'.$i.'" id="um'.$i.'" type="text" size="10" /></td>
            <td><input name="iqty'.$i.'" id="iqty'.$i.'" type="text" size="10" /></td>
            <td><input name="dest'.$i.'" id="dest'.$i.'" type="text" size="15" /></td>
            <td><input name="invno'.$i.'" id="invno'.$i.'" type="text" size="10" /></td>
        </tr>';
    }
	
 echo '<div id="btnholder">
	<td> <input class="submitbutton" name="saveedentry" type="submit" value="Save Entry" /> </td>
        <td><a href="pmstocks.php" tyle="text-decoration:none;"> <input type="button" class="submitbutton" value="Cancel"/></a> </td>
        </div>
    </tr>';
echo '</table></center>   </form>';  
}


                                                                // do delete on RO
elseif (isset($_GET['d'])) {
  $rono =   $_GET['d'];
  echo '<div id="breadcrumbpm">Delete PM RO Entry No.'.$rono.' </div>';  
  $sql = "DELETE FROM pmouts WHERE rono = '$rono'";
  $result = mysqli_query($conn, $sql) or die(mysqli_error($conn));
  echo '<div id="dialog-message" title="Delete Confirmation !">
    <p><span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;"></span>
    Release Order No.'.$rono.' Deleted!</p></div>';
} 

                                                                // display RO List
else {
 echo '<div id="breadcrumbpm">PM Stock Release Order List</div>';   
 echo '<center><form id="add_mat" action="#" method="post" name="user_form">'; 
echo '<tr>  
        <div id="btnholder">
	<td> <input class="submitbutton" name="addnewro" type="submit" value="Add New PM RO" /> </td>
        <td><a href="pmstocks.php" tyle="text-decoration:none;"> <input type="button" class="submitbutton" value="Cancel"/></a> </td>
        </div>
    </tr>';
echo '</form></center><br/>';
 echo '<center><table cellspacing="10px" cellpadding="10px"><tr>
    <th>RO No.</th>   
    <th>Date</th>
    <th>Material</th>
	<th>Qty</th>
    <th>Destination</th>
	<th>Doc. No.</th>
    <th>Action</th>
    </tr>'; 

$sql = "SELECT * FROM pmouts WHERE isfp = 0 ORDER BY idate DESC, rono DESC;";
$result = mysqli_query($conn, $sql) or die(mysqli_error($conn));
while ($row = mysqli_fetch_assoc($result)) 
{
    echo '<tr>';
    echo'<td align="center">'.$row['rono'].'</td>';
    list($year, $month, $day) = explode('-', mysqli_real_escape_string($conn, $row['idate'])); 
    $bdt = implode("-", array($day, $month, $year));
    echo'<td align="center">'.$bdt.'</td>';
    echo'<td align="left">'.$row['matname'].'</td>';
	echo'<td align="right">'.number_format($row['qty'],2).'</td>';
    echo'<td align="center">'.$row['dest'].'</td>';
	echo'<td align="center">'.$row['invno'].'</td>';
    echo '<td><a href="pmorders.php?g='.$row['rono'].'"> EDIT</a> &nbsp;&nbsp; <a href="pmorders.php?d='.$row['rono'].'"> DELETE</a> </td>';
    echo '</tr>';
}
echo '</table></center>';   
   
}
?>

 

<script>
	$("#add_mat").validator({ 
	position: 'top left', 
	offset: [0, 160],
	message: '<div><em/></div>' // em element is the arrow
    });  
	
function getpmum(inix){ 
 var rmatu = $.get("getpmatum.php?r="+$("#rid"+inix).val(), function(data){ 
                                        document.getElementById("um"+inix).value = data;			
 				});  
}
	
</script>

<div style='height:15px;'></div>

</body>

</html>