<?php
session_start();
//check to see if user has logged in with a valid password
if ($_SESSION['authuser'] != 1 ) 
{
  echo "Sorry, but you don't have permission to view this page !";
  exit();
}
$grp = intval($_SESSION['authgrp']);
require('db_link.php');

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"> 
<head>
<meta http-equiv="Content-Type" content="text/html; nosniff; charset=UTF-8" />
<title>MAIMUN | Materials Stock List </title>
<script type="text/javascript" src="js/jquery-3.3.1.js"></script>
<script type="text/javascript" src="js/jquery-ui.js"></script>
<link rel="stylesheet" type="text/css" href="css/main.css">
<link rel="stylesheet" type="text/css" href="css/jquery-ui.css">

<style type="text/css">
<!--
.right{ text-align: right; }
.left{ text-align: left; }

.activatelink
{
font-weight:bold;
color:blue;
text-decoration:none;
text-transform:none;
}

.submitbutton{
margin-left:6cm;
width: 130px;
padding: 3px 2px 3px 2px;
text-align: center;
text-decoration:none;
  border: 1px solid #e5ebf2;
  color: #000;
  text-shadow: 0 1px rgba(0,0,0,0.1);
  background-color: #a5b4d3;
  background-image: -webkit-gradient(linear,left top,left bottom,from(#a5b4d3),to(#a5b4d3));
}

#tablelist
{
font-family:"Trebuchet MS";
width:100%;
border-collapse:collapse;
margin-left: 40px;
}
#tablelist td, #tablelist th
{
font-size:90%;
border:1px solid #B2B2B2;
padding:3px 7px 2px 7px;
}
#tablelist th 
{
color:#000;
}
.recphead 
{
background-color: #DDFFAA;
font-weight:bold;
}
-->
</style>

</head>
<body>

    
<!-- Main Body starts here -->
<table style='width:925px;margin:auto;margin-top:15px;' cellspacing="0" cellpadding="0" align="center" class="tl">
<tr>
<td colspan="3" align="center">
<div id="breadcrumbrm">Materials Stock List <?php echo str_repeat('&nbsp;', 20).$_SESSION['auser']; ?> <img  style="vertical-align:middle;" onclick="window.location.replace('login.php');" src="exit.png"> </img> <span style="font-size:10pt;"> Logout </span> &nbsp;&nbsp; <input type="button"  style="width:100px;" value="PM Stocks" id="pms" name="pms" onclick="dopms();"/></div> 
</td></tr>
</table>
<br />


  
<div style='height:8px;'></div>
<div id="addbut"> <center>
 <input type="button"  style="width:180px;" value="Export Packed Stocks" id="eps" name="eps"  onclick="window.location.replace('exporttostocks.php');"/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
						<a href="addstock.php" class="submitbutton"> &nbsp;New Material Stock Entry &nbsp;</a>
						  <a href="rmorders.php"  class="submitbutton"> &nbsp;New Batch &nbsp;</a></center> 
</div>
<center>
<br />
<table id="tablelist" style="width:80%;" class="display">
<thead>
  <tr class = "recphead">
    <th  class="center"> Serial No. </th>
	<th align="center">SKU </th>
    <th align="center"> Material </th>
    <th align="center"> Qty </th>
    <th align="center"> Measure </th>

    <th align="center"> Store </th>
  </tr>
</thead> 
<tbody> 

<?php
require('ourfuncs.php');
$query = "SELECT ss.sku, ss.gqty, masterskufmpe.strDesc, masterskufmpe.strStockUnit, ss.storeid FROM ( SELECT tt.sku, SUM(tt.sqty) as gqty, tt.storeid FROM (
	SELECT id, recpmat, sku, IF(um='GRAMS' OR um='MLTRS', iqty/1000, iqty ) as sqty, IF(um='GRAMS','KGS',IF(um='MLTRS','LTRS',um)) as umn, storeid FROM stockins WHERE close=0 
	UNION SELECT id, matname, sku, IF(um='GRAMS' OR um='MLTRS', -1*qty/1000, -1*qty ) as sqty, IF(um='GRAMS','KGS',IF(um='MLTRS','LTRS',um)) as umn, storeid FROM rmouts) as tt GROUP BY sku, storeid) as ss, masterskufmpe WHERE ss.sku = masterskufmpe.strPartNumber AND ss.gqty!=0";
$result = mysqli_query($conn, $query) or die(mysqli_error($conn));
$odd = true; $i = 0;
while ($row = mysqli_fetch_assoc($result)) 
{ $i++;
//echo ($odd == true) ? '<tr class = "odd_row">' : '<tr class = "alt">';
echo '<tr id="slin'.$i.'">';
$odd = !$odd;
echo'<td align="center">';
echo $i;
echo '</td> <td align="left" onclick="getmatdets(`'.$row['sku'].'`,`'.$i.'`)">';
echo $row['sku'];
echo '</td> <td align="left">';
//echo getrecpnamefmskus($conn, $row['sku']);
echo $row['strDesc'];
echo '</td> <td align="center">';
echo number_format($row['gqty'],2);
echo '</td> <td align="center">';
echo $row['strStockUnit']; 
echo '</td> <td align="right">';
echo $row['storeid'];
echo '</td></tr>';

}

?>

</tbody>
</table>   
</center>    
<br />
   

    

<div style='height:15px;'></div>



<!-- Main Body ends here -->
</body>
</html>
<script type="text/javascript">
function dopms(){
	window.open('pmstocks.php',"PM","width=900px,height=750px,scrollbar=yes");
};
function getmatdets(m, n){
//$("#slin"+n).remove();
$(".mmm").remove();	
var tp = $.get("getskudets.php?m="+m+"&n="+n, function(data){   $("#slin"+n).after(data);  
						}); 
 
}	
</script>