<?php
session_start();
//check to see if user has logged in with a valid password
if ($_SESSION['authuser'] != 1 ) 
{
  echo "Sorry, but you don't have permission to view this page !";
  exit();
}
require('db_link.php');
$grp = intval($_SESSION['authgrp']);
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"> 
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>MAIMUN | Packing Material Stock List </title>
<script type="text/javascript" src="js/jquery-3.3.1.js"></script>
<script type="text/javascript" src="js/jquery-ui.js"></script>
<link rel="stylesheet" type="text/css" href="css/main.css">
<link rel="stylesheet" type="text/css" href="css/jquery-ui.css">

<style type="text/css">

.right{ text-align: right; }
.left{ text-align: left; }

.activatelink
{
font-weight:bold;
color:blue;
text-decoration:none;
text-transform:none;
}

.submitbutton{
margin-left:6cm;
width: 130px;
padding: 3px 2px 3px 2px;
text-align: center;
text-decoration:none;
  border: 1px solid #e5ebf2;
  color: #000;
  text-shadow: 0 1px rgba(0,0,0,0.1);
  background-color: #a5b4d3;
  background-image: -webkit-gradient(linear,left top,left bottom,from(#a5b4d3),to(#a5b4d3));
}
<!--
#tablelist
{
font-family:"Trebuchet MS";
width:100%;
border-collapse:collapse;
margin-left: 40px;
}
#tablelist td, #tablelist th
{
font-size:90%;
border:1px solid #B2B2B2;
padding:3px 7px 2px 7px;
}
#tablelist th 
{
color:#000;
}
.recphead 
{
background-color: #DDFFAA;
font-weight:bold;
}
-->
</style>

</head>
<body>
    
<!-- Main Body starts here -->
<center>

<p><div id="breadcrumbpm">Packing Material Stock List <a href="rmorders.php" style="text-decoration:none;"> <input type="button" class="submitbutton" value="Material Stocks"/></a>&nbsp;&nbsp; <?php  echo '<span style="font-size:12pt;">'.$_SESSION['auser'].'</span>'; ?>
</div></p> 
<p style="text-align:center;"><input type="button" onclick="window.location.replace('addpmmat.php');" value=" New PM Material "/> &nbsp; &nbsp;<input type="button" onclick="window.location.replace('addpm.php');" value=" New PM Stock Entry "/> &nbsp;&nbsp; <input type="button" onclick="window.location.replace('pmorders.php');" value=" New PM Release Order "/> 
<?php if($grp) { echo '&nbsp;&nbsp; <input type="button" onclick="window.location.replace(`packing.php`);" value=" New Packing Types "/></p>'; } ?>

<div class="tc">

<table style='margin:1px auto;border:1px solid #E5EBF2;text-align:left;' align="center">
<tr style='line-height:6px;'><td colspan="3"></td></tr>
<tr>
  
<div style='height:8px;'></div>

<center>
<table id="tablelist" style="width:80%;" class="display">
<thead>
  <tr class = "recphead">
    <th  class="center"> Serial No. </th>
    <th align="center"> Packing Material </th>
    <th align="center"> Qty </th>
    <th align="center"> Measure </th>
	<th align="center"> Store </th>
  </tr>
</thead> 
<tbody> 

<?php
 
//$query = "DELETE FROM stoks;";
//$result = mysqli_query($conn, $query) or die(mysqli_error($conn));
//$query = "INSERT INTO stoks SELECT recpname, bno, fqty, um, '0', bcost, 0 FROM batches WHERE prod = 1"; 
//$result = mysqli_query($conn, $query) or die(mysqli_error($conn)); 
//$query = "INSERT INTO stoks SELECT recpnam, bno, -1*sum(iqty), um, '0', 0, 0 FROM relorders GROUP BY bno";
//$result = mysqli_query($conn, $query) or die(mysqli_error($conn));
$query = "SELECT tt.recpmat, sum(tt.qty) as qty, tt.um, tt.storeid, pmat.costp  FROM (SELECT recpmat, sum(iqty) as qty, um, storeid FROM pmins GROUP BY recpmat, storeid UNION SELECT matname, IFNULL(sum(-1*qty),0), ' ', storeid FROM pmouts GROUP BY matname, storeid) as tt, pmat WHERE pmat.matname = tt.recpmat GROUP BY recpmat, storeid";
$result = mysqli_query($conn, $query) or die(mysqli_error($conn));

$odd = true; $i = 1;
while ($row = mysqli_fetch_assoc($result)) 
{
//echo ($odd == true) ? '<tr class = "odd_row">' : '<tr class = "alt">';
if (floatval($row['qty']) !== 0.0) {
	echo '<tr>';
	$odd = !$odd;
	echo'<td align="center">';
	echo $i++;
	echo '</td> <td align="left">';
	echo $row['recpmat']; 
	echo '</td> <td align="center">';
	echo number_format($row['qty'],2);
	echo '</td> <td align="center">';
	echo $row['um'];
//	echo '</td> <td align="right">';
//	echo number_format(floatval($row['costp']) * floatval($row['qty']),2) ;
	echo '</td> <td align="left">';
	echo $row['storeid'].'</tr>';
 }
}

?>

</tbody>
</table>
</center>     

<div style='height:15px;'></div>

 </td>
 <td style='width:6px;'></td>
</tr>
<tr style='height:8px;'><td colspan="3"></td></tr>
</table>

</div>

</center> 
<!-- Main Body ends here -->



</body>
</html>